Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class ButtonBackgroundImage

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.BaseGradient
              org.richfaces.renderkit.html.images.BaseControlBackgroundImage
                  org.richfaces.renderkit.html.images.ButtonBackgroundImage

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

    public class ButtonBackgroundImage

extends BaseControlBackgroundImage

Created 23.02.2008

Since:
  3.2
Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.renderkit.html.BaseGradient
`gradientType, headerBackgroundColor, headerGradientColor`

Constructor Summary
`ButtonBackgroundImage()`

Method Summary
`protected void` | `initializeProperties(javax.faces.context.FacesContext context, org.richfaces.skin.Skin skin)`

Methods inherited from class org.richfaces.renderkit.html.BaseGradient
`drawGradient, getBaseColor, getDimension, getGradientColor, getGradientHeight, getHeight, getWidth, initialize, isHorizontal, isTransient, paint, paintGradient, readState, setBaseColorParam, setGradientColorParam, setGradientHeight, setGradientType, setHeight, setHorizontal, setWidth, writeState`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ButtonBackgroundImage

    public ButtonBackgroundImage()

Method Detail

### initializeProperties

    protected void initializeProperties(javax.faces.context.FacesContext context,
                                        org.richfaces.skin.Skin skin)

  Overrides:
    `initializeProperties` in class `BaseControlBackgroundImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.